Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.ciphers
Class DesCipher

    java.lang.Object
      com.rsa.authagent.authapi.ciphers.DesCipher

All Implemented Interfaces:
  SimpleCipher

    public class DesCipher

extends java.lang.Object
implements SimpleCipher

A simple implementation of the DES cipher for data encryption and decryption. This DES has a custom flavor to the standard DES behaviors: the encryption of the last undersize block is unique and proprietary to RSA.

Usage:

          SimpleCipher des =                       // Creates a new cipher object.
               SimpleCipherFactory.getCipher(SimpleCipherFactory.DES_CIPHER);
          des.setKey(key);                         // Sets the key for encryption.
          cipherText = des.encrypt(plainText);     // Performs encryption.
          des.clear();                             // Clears the data when the cipher is no longer in use.
          ...
          des =                                    // Creates another cipher object.
               SimpleCipherFactory.getCipher(SimpleCipherFactory.DES_CIPHER);
          des.setKey(key);                         // Sets the key for decryption.
          decipherText = des.decrypt(cipherData);  // Performs decryption.
          des.clear();                             // Clears the data when the cipher is no longer in use.

Constructor Summary
`DesCipher()` Constructor for DesCipher.

Method Summary
`void` | `clear()` Clears all sensitive data in the object.
`byte[]` | `decrypt(byte[] data)` Performs decryption on the data with the initialized key.
`byte[]` | `decrypt(byte[] data, int offset, int length)` Performs decryption on the data with the initialized key.
`byte[]` | `encrypt(byte[] data)` Performs encryption on the data with the initialized key.
`byte[]` | `encrypt(byte[] data, int offset, int length)` Performs encryption on the data with the initialized key.
`void` | `setKey(byte[] key)` Initializes the cipher with the specified key.
`void` | `setKey(byte[] key, int offset, int length)` Initializes the cipher with the specified key.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesCipher

    public DesCipher()

  Constructor for DesCipher.

Method Detail

### setKey

    public void setKey(byte[] key)

  Description copied from interface: `SimpleCipher`
  Initializes the cipher with the specified key.

  Specified by:
    `setKey` in interface `SimpleCipher`
  Parameters:
    `key` - the key for subsequent cryptographic operations.
  See Also:
    `SimpleCipher.setKey(byte[])`

### setKey

    public void setKey(byte[] key,
                       int offset,
                       int length)

  Description copied from interface: `SimpleCipher`
  Initializes the cipher with the specified key.

  Specified by:
    `setKey` in interface `SimpleCipher`
  Parameters:
    `key` - the key for subsequent cryptographic operations.
    `offset` - index to the first byte of the key.
    `length` - length of the key.
  See Also:
    `SimpleCipher.setKey(byte[], int, int)`

### encrypt

    public byte[] encrypt(byte[] data)

  Description copied from interface: `SimpleCipher`
  Performs encryption on the data with the initialized key.

  Specified by:
    `encrypt` in interface `SimpleCipher`
  Parameters:
    `data` - the data to encrypt.
  Returns:
    output in a byte array.
  See Also:
    `SimpleCipher.encrypt(byte[])`

### encrypt

    public byte[] encrypt(byte[] data,
                          int offset,
                          int length)

  Description copied from interface: `SimpleCipher`
  Performs encryption on the data with the initialized key.

  Specified by:
    `encrypt` in interface `SimpleCipher`
  Parameters:
    `data` - the data to encrypt.
    `offset` - index to the first byte of data to encrypt.
    `length` - length of the data to encrypt.
  Returns:
    output in a byte array.
  See Also:
    `SimpleCipher.encrypt(byte[], int, int)`

### decrypt

    public byte[] decrypt(byte[] data)

  Description copied from interface: `SimpleCipher`
  Performs decryption on the data with the initialized key.

  Specified by:
    `decrypt` in interface `SimpleCipher`
  Parameters:
    `data` - the data to decrypt.
  Returns:
    output in a byte array.
  See Also:
    `SimpleCipher.decrypt(byte[])`

### decrypt

    public byte[] decrypt(byte[] data,
                          int offset,
                          int length)

  Description copied from interface: `SimpleCipher`
  Performs decryption on the data with the initialized key.

  Specified by:
    `decrypt` in interface `SimpleCipher`
  Parameters:
    `data` - the data to decrypt.
    `offset` - index to the first byte of data to decrypt.
    `length` - length of the data to decrypt.
  Returns:
    output in a byte array.
  See Also:
    `SimpleCipher.decrypt(byte[], int, int)`

### clear

    public void clear()

  Description copied from interface: `SimpleCipher`
  Clears all sensitive data in the object.

  Specified by:
    `clear` in interface `SimpleCipher`
  See Also:
    `SimpleCipher.clear()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.